Support » Plugin: Five Star Restaurant Menu » Triggering a ‘fatal error’

  • Resolved conradb1989

    (@conradb1989)


    Hi,

    Updated the plugin this morning and my site crashed – after deactivating the plugin and getting my site up again, I tried to reactivate it and got the following message;

    Parse error: syntax error, unexpected ‘[‘ in /home/sites/technicalnode.com/public_html/wp-content/plugins/food-and-drink-menu/includes/class-blocks.php on line 38

    Any ideas on what is causing this issue?

    Thanks

Viewing 5 replies - 1 through 5 (of 5 total)
  • Hi @conrad1989,

    I’m sorry the plugin caused a fatal error for you. This is happening because your web server is using an insecure version of PHP (less than 5.4).

    I try to avoid these problems as much as possible. But it is no longer easy to test my plugins on such old versions of PHP. WordPress itself no longer recommends using the older versions.

    You can reach out to your web host and ask them to upgrade you to PHP 7.1 or higher. They should be able to do that for you.

    I will put out a new version later today (hopefully) that will fix this issue for you, but I’d still encourage you to get onto a new version of PHP. You’re likely to find more and more issues with plugins and themes if you don’t move now.

    same error here 🙁

    with 1.6.1 solved, thanx

    Yes, I’ve resolved this issue in v1.6.1, which just went out about an hour ago.

    I would still strongly encourage you to have your web host upgrade your version of PHP. The older versions you are running no longer receive security updates!

    Hi,

    Thanks for the quick response and fix – really appreciate it!

    And thanks for the PHP info – I will take your advice and look into getting that updated.

    Great service, thanks!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Triggering a ‘fatal error’’ is closed to new replies.